{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Happenstance","description":"Happenstance API Documentation","colors":{"primary":"#16a34a","light":"#16a34a","dark":"#16a34a"},"logo":{"light":"https://mintcdn.com/happenstance/YSbudQ8_lua9CNAo/logo/happenstance.png?fit=max\u0026auto=format\u0026n=YSbudQ8_lua9CNAo\u0026q=85\u0026s=a2c2c708eb248e6bea6607330505d0f9","dark":"https://mintcdn.com/happenstance/YSbudQ8_lua9CNAo/logo/happenstance.png?fit=max\u0026auto=format\u0026n=YSbudQ8_lua9CNAo\u0026q=85\u0026s=a2c2c708eb248e6bea6607330505d0f9"},"favicon":"https://mintcdn.com/happenstance/YSbudQ8_lua9CNAo/favicon.ico?fit=max\u0026auto=format\u0026n=YSbudQ8_lua9CNAo\u0026q=85\u0026s=473cc44090dbce2ce1585f7bf108bc4b","api":{"playground":{"display":"interactive"},"examples":{"languages":["curl","python","javascript"]}},"background":{"color":{"dark":"#191a1a"}},"navbar":{"links":[{"href":"https://discord.gg/4YV5Sxd534","label":"Community"},{"href":"https://github.com/happenstance-ai/cookbook","label":"Cookbook"}],"primary":{"type":"button","label":"Home","href":"https://happenstance.ai"}},"errors":{"404":{"redirect":false,"title":"Not Found"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"happenstance","hasAudioNarration":false,"actualSubdomain":"happenstance","customDomains":["developer.happenstance.ai"],"gitSource":{"type":"github","owner":"happenstance-ai","repo":"developer-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adb99c08b194079f4a33b08","collectionId":"0f7ec737-09d5-4e48-a55d-2c29b564802c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adb99c08b194079f4a33b08"},"entitlements":{},"buildId":"6adb99c08b194079f4a33b08","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"Connect","count":26},{"language":"default","tag":"API","count":20},{"language":"default","tag":"API Reference","count":17}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/get-groups","slug":"/api-reference/get-groups","pageMetadata":{"title":"Get Groups","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json get /v1/groups","href":"/api-reference/get-groups","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Groups","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json get /v1/groups","href":"/api-reference/get-groups","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get Groups","operationId":"get_groups_v1_groups_get","responses":{"200":"715fb4eb-bbcc-4901-843c-309791bae92c","400":"5e910b94-f245-4bc8-bd23-92ec88fff3de","401":"9b995b99-a3e8-4217-9a96-e1526a262710","402":"3234cf70-2912-4452-ace4-214fd33bb2ec","403":"86263642-45d8-439b-83eb-28f108307840","404":"5fdb7598-862f-4801-a877-5172fcd20374","410":"5550f7b7-3636-4d66-90bb-26e5e9acdd1e","422":"fde1be93-4569-473b-b2b8-879384a51770","500":"b80c96f8-df6a-4b7c-8c68-9f4c5fde52ce","503":"794e8dfe-d6f1-48d1-8ae1-bcd18ae6da96"},"security":["2d33e1b8-32ff-46c4-9524-f02bc5d30f3e"],"method":"get","type":"path","servers":["3928d332-2975-4017-a644-c4e0c2212c48"],"path":"/v1/groups","baseUrlOptions":["https://api.happenstance.ai"],"title":"Get Groups","description":"","codeSamples":[],"requestExampleLanguages":["bash","python","javascript"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"responses":{"715fb4eb-bbcc-4901-843c-309791bae92c":{"description":"Successful Response","headers":{"Link":{"description":"RFC 8288 Web Linking header for HATEOAS. Contains URIs to related resources.","schema":{"type":"string"},"example":"\u003c/v1/research/abc123>; rel=\"self\""}},"content":{"application/json":{"schema":{"properties":{"groups":{"items":{"properties":{"id":{"type":"string","title":"Id","description":"Unique identifier for the group","isRequired":true,"uniqueKey":"groups.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"Name of the group","isRequired":true,"uniqueKey":"groups.items.[INDEX].name","typeLabel":"string"},"supports_mutuals":{"type":"boolean","title":"Supports Mutuals","description":"Whether this group supports mutual connection lookups. False for directories and groups without an organization.","isRequired":true,"uniqueKey":"groups.items.[INDEX].supports_mutuals","typeLabel":"boolean"}},"additionalProperties":false,"type":"object","required":["id","name","supports_mutuals"],"title":"GroupV1","uniqueKey":"groups.items.[INDEX]","typeLabel":"GroupV1 · object"},"type":"array","title":"Groups","description":"List of groups the user has access to","isRequired":true,"uniqueKey":"groups","typeLabel":"GroupV1 · object[]"}},"additionalProperties":false,"type":"object","required":["groups"],"title":"GetGroupsResponseV1","description":"Response from GET /v1/groups - retrieving user's groups.","uniqueKey":"","typeLabel":"GetGroupsResponseV1 · object"},"examples":{"Example":{"title":"Example","value":{"groups":[{"id":"\u003cstring>","name":"\u003cstring>","supports_mutuals":true}]}}},"exampleType":"generated"}},"exampleType":"generated"},"5e910b94-f245-4bc8-bd23-92ec88fff3de":{"description":"Bad Request","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"9b995b99-a3e8-4217-9a96-e1526a262710":{"description":"Unauthorized","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"3234cf70-2912-4452-ace4-214fd33bb2ec":{"description":"Payment Required","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"86263642-45d8-439b-83eb-28f108307840":{"description":"Forbidden","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"5fdb7598-862f-4801-a877-5172fcd20374":{"description":"Not Found","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"5550f7b7-3636-4d66-90bb-26e5e9acdd1e":{"description":"Gone","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"fde1be93-4569-473b-b2b8-879384a51770":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b80c96f8-df6a-4b7c-8c68-9f4c5fde52ce":{"description":"Internal Server Error","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"794e8dfe-d6f1-48d1-8ae1-bcd18ae6da96":{"description":"Service Unavailable","content":{"application/json":{"schema":{"properties":{"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"The HTTP status code","isRequired":true,"uniqueKey":"status","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"A URI reference that identifies the problem type","default":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","uniqueKey":"type","typeLabel":"string"},"detail":{"oneOf":[{"type":"string","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","title":"Detail","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","title":"Instance","description":"A URI reference that identifies the specific occurrence of the problem","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["title","status"],"title":"ProblemDetailV1","description":"RFC 7807 Problem Details for HTTP APIs","uniqueKey":"","typeLabel":"ProblemDetailV1 · object"},"examples":{"Example":{"title":"Example","value":{"title":"\u003cstring>","status":123,"type":"https://developer.happenstance.ai/api-reference/introduction#error-response-format","detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"2d33e1b8-32ff-46c4-9524-f02bc5d30f3e":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"}}},"servers":{"3928d332-2975-4017-a644-c4e0c2212c48":{"url":"https://api.happenstance.ai","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"openapi.json"},"subdomain":"happenstance","siteName":"Happenstance","title":"Get Groups - Happenstance","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-23T17:30:44.514Z","originalFileLocation":"api-reference/get-groups.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Happenstance\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Groups - Happenstance\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Happenstance\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.happenstance.ai/api-reference/get-groups\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://happenstance.mintlify.app/_mintlify/api/og/v2?division=API+Reference\u0026amp;title=Get+Groups\u0026amp;theme=e9cbf0a039f894b97da272a2\u0026amp;signature=67a24b207419cfc3a2d68624eb5b201c789859f04fe1cd33ea935f3e66a7d20e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Groups - Happenstance\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://happenstance.mintlify.app/_mintlify/api/og/v2?division=API+Reference\u0026amp;title=Get+Groups\u0026amp;theme=e9cbf0a039f894b97da272a2\u0026amp;signature=67a24b207419cfc3a2d68624eb5b201c789859f04fe1cd33ea935f3e66a7d20e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/happenstance/lRTBz52T_gIZj_2l/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Happenstance\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16a34a\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.happenstance.ai/api-reference/get-groups\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/get-groups.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.happenstance.ai/#organization\",\"name\":\"Happenstance\",\"url\":\"https://developer.happenstance.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/happenstance/YSbudQ8_lua9CNAo/logo/happenstance.png?fit=max\u0026auto=format\u0026n=YSbudQ8_lua9CNAo\u0026q=85\u0026s=a2c2c708eb248e6bea6607330505d0f9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.happenstance.ai#website\",\"name\":\"Happenstance\",\"url\":\"https://developer.happenstance.ai\",\"publisher\":{\"@id\":\"https://developer.happenstance.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.happenstance.ai/api-reference/get-groups#webpage\",\"url\":\"https://developer.happenstance.ai/api-reference/get-groups\",\"name\":\"Get Groups\",\"dateModified\":\"2026-10-23T17:30:44.514Z\",\"isPartOf\":{\"@id\":\"https://developer.happenstance.ai#website\"},\"breadcrumb\":{\"@id\":\"https://developer.happenstance.ai/api-reference/get-groups#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.happenstance.ai/api-reference/get-groups#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Connect\",\"item\":\"https://developer.happenstance.ai/mcp/chatgpt\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"API\",\"item\":\"https://developer.happenstance.ai/quickstart\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"API Reference\",\"item\":\"https://developer.happenstance.ai/api-reference/create-search\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Get Groups\",\"item\":\"https://developer.happenstance.ai/api-reference/get-groups\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.happenstance.ai/api-reference/get-groups#apireference\",\"headline\":\"Get Groups\",\"name\":\"Get Groups\",\"url\":\"https://developer.happenstance.ai/api-reference/get-groups\",\"mainEntityOfPage\":{\"@id\":\"https://developer.happenstance.ai/api-reference/get-groups#webpage\"},\"dateModified\":\"2026-10-23T17:30:44.514Z\",\"publisher\":{\"@id\":\"https://developer.happenstance.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.happenstance.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Happenstance\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Happenstance","nav":{"global":null,"groups":[{"group":"Connect","pages":[{"title":"ChatGPT","href":"/mcp/chatgpt"},{"title":"Claude","href":"/mcp/claude"},{"title":"Claude Code","href":"/mcp/claude-code"},{"title":"MCP","href":"/mcp/connect"},{"title":"CLI","href":"/cli/install"},{"title":"OpenClaw","href":"/mcp/openclaw"},{"group":"API","pages":[{"title":"Quickstart","href":"/quickstart"},{"title":"The Basics","href":"/api-reference/introduction"},{"title":"Changelog","href":"/changelog"},{"group":"API Reference","pages":[{"title":"Create Search","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/search","href":"/api-reference/create-search"},{"title":"Get Search","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/search/{search_id}","href":"/api-reference/get-search"},{"title":"Find More Search","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/search/{search_id}/find-more","href":"/api-reference/find-more-search"},{"title":"Create Research","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/research","href":"/api-reference/create-research"},{"title":"Get Research","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/research/{research_id}","href":"/api-reference/get-research"},{"title":"Get Current User Profile","description":"Get the current user's profile.","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/users/me","href":"/api-reference/get-current-user-profile"},{"title":"Get Groups","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/groups","href":"/api-reference/get-groups"},{"title":"Get Group","description":"Get details of a specific group including its members.\n\nMember names can be used as @mentions in search queries to filter results\nto that person's connections (e.g., \"engineers @Jane Smith knows\").","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/groups/{group_id}","href":"/api-reference/get-group"},{"title":"Get Usage","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/usage","href":"/api-reference/get-usage"},{"title":"List Chats","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/chat","href":"/api-reference/list-chats"},{"title":"Create Chat","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/chat","href":"/api-reference/create-chat"},{"title":"Get Chat","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/chat/{chat_id}","href":"/api-reference/get-chat"},{"title":"Send Chat Message","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/chat/{chat_id}/messages","href":"/api-reference/send-chat-message"},{"title":"Get Chat Turn","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/chat/{chat_id}/turns/{turn_id}","href":"/api-reference/get-chat-turn"},{"title":"Cancel Chat Turn","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/chat/{chat_id}/turns/{turn_id}/cancel","href":"/api-reference/cancel-chat-turn"},{"title":"Get Chat People","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/chat/{chat_id}/people","href":"/api-reference/get-chat-people"},{"title":"Get Chat Drafts","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/chat/{chat_id}/drafts","href":"/api-reference/get-chat-drafts"}]}]}]}]},"title":"Get Groups - Happenstance","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","Page-D5fEM6aW.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js","Markdown-Cfiy0xZO.js","clsx-rL8ZCCw4.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-aeztFa9U.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BywkCr5C.js"]}